/*
 * Auto Alarm, www.bladox.com
 *
 * Copyright (C) 2004-2006 BLADOX, s.r.o.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef _CONFIG_TURBO_
#define _CONFIG_TURBO_

#define DEF_AA_2

#define CONFIG_AIRCON
#define CONFIG_BLOCK
// set net reset time in config
//#define CONFIG_NET_RESET
//#define CONFIG_MEASURE
//#define CONFIG_TSMS

//#define SMS_FORMAT_NAV

/*
Define for pulse on Opto OUT1 if alarm (AC otherwise)
*/
//#define CONFIG_OPTO_OUT_1_PULSE

/*
Define for AC on when power on
*/
//#define CONFIG_AC_ON

// in seconds
#define DEF_PLAY_DURATION		2

// medium
#define DEF_SENS                        2

// 5 minutes
#define DEF_MANUAL_DELAY_ON             5
// 5 minutes
#define DEF_MANUAL_DELAY_OFF            2
// 60 minutes
#define DEF_NET_RESET                   60
// 10 minutes
#define DEF_NET_CHECK                   10

// in sec
#define DEF_POLL_INTERVAL		5

#define DEF_SENS_D_LOW			8
#define DEF_SENS_D_MEDIUM		7
#define DEF_SENS_D_HIGH			4

//// 4800
#define DEF_BAUDRATE                    1
// 19200
//#define DEF_BAUDRATE                    3

//************************************************

#define VERSION_A       1
#define VERSION_B       9
#define VERSION_C       27

//#define DEBUG

#define CONFIG_LANG_EN

#define CONFIG_LANG_DE
#define CONFIG_LANG_IT
#define CONFIG_LANG_FR
#define CONFIG_LANG_ES
#define CONFIG_LANG_NL
#define CONFIG_LANG_SE
#define CONFIG_LANG_DK
#define CONFIG_LANG_PT
#define CONFIG_LANG_FI
#define CONFIG_LANG_NO
#define CONFIG_LANG_EL
#define CONFIG_LANG_TR
#define CONFIG_LANG_HU
#define CONFIG_LANG_PL
#define CONFIG_LANG_UN
#define CONFIG_LANG_CZ
#define CONFIG_LANG_HE
#define CONFIG_LANG_AR
//#define CONFIG_LANG_RU
#define CONFIG_LANG_IS

#endif
